import { Component, OnInit } from '@angular/core';
import { FormGroup, FormControl, Validators } from '@angular/forms';

@Component({
  selector: 'app-account',
  templateUrl: './account.component.html',
  styleUrls: ['./account.component.scss']
})
export class AccountComponent implements OnInit {

  constructor() { }
  form: FormGroup;
  
  ngOnInit() {
    this.form = new FormGroup({
      Email: new FormControl(null, {
        validators: [Validators.required, Validators.email]
      }),
      FirstName: new FormControl(null, { validators: [Validators.required] }),
      LastName: new FormControl(null, { validators: [Validators.required] }),
      Crew: new FormControl(null, { validators: [Validators.required] }),
    });
  }

  get Email(){
    return this.form.get("Email")
  }
  get FirstName(){
    return this.form.get("FirstName")
  }
  get LastName(){
    return this.form.get("LastName")
  }

  get Crew(){
    return this.form.get("Crew")
  }
}
