import { HttpClient } from '@angular/common/http';
import { startOfDay, endOfDay, getDay } from 'date-fns';
import { Injectable } from '@angular/core';
import { EventDetail } from '../models/EventDetail';
import { CrewMember } from '../models/CrewMember';

const eventColors: any = {
  red: {
    primary: '#ad2121',
    secondary: '#FAE3E3'
  },
  blue: {
    primary: '#1e90ff',
    secondary: '#D1E8FF'
  },
  yellow: {
    primary: '#e3bc08',
    secondary: '#FDF1BA'
  }
};

@Injectable({
  providedIn: 'root'
})
export class EventService {
  constructor(private http: HttpClient) {}

  getTestDate(dateTo: Date, days: number) {
    const date = new Date(dateTo.valueOf());
    date.setDate(date.getDate() + days);
    return date;
  }

  getEvents() {
    return this.http.get<EventDetail[]>('http://localhost:3000/api/events')   ;
  }
}
