import { Injectable } from '@angular/core';
import { InMemoryDbService, ParsedRequestUrl } from 'angular-in-memory-web-api';
import { EventDetail } from './models/EventDetail';

@Injectable({
  providedIn: 'root'
})
export class InMemoryDataService implements InMemoryDbService {
  getTestDate(dateTo: Date, days: number) {
    const date = new Date(dateTo.valueOf());
    date.setDate(date.getDate() + days);
    return date;
  }
  createDb() {
    const events = [
      {
        EventId: '1',
        Description: 'TestDesc1',
        FirstName: 'Chris1',
        LastName: 'Rollings',
        StartDate: this.getTestDate(new Date(), 0),
        EndDate: this.getTestDate(new Date(), 1)
      },
      {
        EventId: '2',
        Description: 'TestDesc2',
        FirstName: 'Chris2',
        LastName: 'Rollings',
        StartDate: this.getTestDate(new Date(), 1),
        EndDate: this.getTestDate(new Date(), 2)
      },
      {
        EventId: '3',
        Description: 'TestDesc3',
        FirstName: 'Chris3',
        LastName: 'Rollings',
        StartDate: this.getTestDate(new Date(), 2),
        EndDate: this.getTestDate(new Date(), 3)
      },
      {
        EventId: '4',
        Description: 'TestDesc4',
        FirstName: 'Chris4',
        LastName: 'Rollings',
        StartDate: this.getTestDate(new Date(), 3),
        EndDate: this.getTestDate(new Date(), 4)
      },
      {
        EventId: '5',
        Description: 'TestDesc5',
        FirstName: 'Chris5',
        LastName: 'Rollings',
        StartDate: this.getTestDate(new Date(), 4),
        EndDate: this.getTestDate(new Date(), 5)
      },
      {
        EventId: '6',
        Description: 'TestDesc6',
        FirstName: 'Chris6',
        LastName: 'Rollings',
        StartDate: this.getTestDate(new Date(), 5),
        EndDate: this.getTestDate(new Date(), 6)
      }
    ];
    const login = [
      { token: 'sdsdadfdvb2312321312sdsa', expiresIn: 3600, userId: '1' }
    ];
    const users = [{ Email: 'Boom' }];

    return {  user: users, events: events, login:login };
  }

  // Overrides the genId method to ensure that a hero always has an id.
  // If the heroes array is empty,
  // the method below returns the initial number (11).
  // if the heroes array is not empty, the method below returns the highest
  // hero id + 1.
  genId(heroes: EventDetail[]): number {
    return heroes.length > 0
      ? Math.max(...heroes.map(hero => parseInt(hero.EventId))) + 1
      : 11;
  }

  parseRequestUrl(url, requestInfoUtils): ParsedRequestUrl {
    if (url.includes('user')) {
      return {
        apiBase: '/',
        collectionName: 'login',
        id: undefined,
        query: undefined,
        resourceUrl: undefined
      };
    }
  }

  constructor() {}
}
